@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+JP:wght@400;700&display=swap');

body {
	margin: 0;
	padding: 0;
	font-size: 100%;
	box-sizing: border-box;
	overflow-x: hidden;
	font-family: 'Noto Sans JP', sans-serif;
}

a {
	text-decoration: none;
	color: inherit;
}

//** header section

.header {
	background: linear-gradient(
			178.6deg,
			rgba(20, 36, 50, 0.8) 11.8%,
			rgba(124, 143, 161, 0.8) 83.8%
		),
		url(../image/background.jpg) center/cover no-repeat;
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
	color: #fff;
	padding: 5rem;
	box-shadow: 0 10px 15px rgba(0, 0, 0, 0.4);

	.header__pic {
		border-radius: 50%;
		border: 4px solid #fff;
		margin-bottom: 2rem;
		box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.5);
		transition: all 2s ease;
		cursor: pointer;
	}

	.header__pic:hover {
		transform: scale(1.1);
	}

	.header__title,
	.header__text {
		text-align: center;
		line-height: 2;
	}

	.header__btn {
		width: 150px;
		height: 50px;
		font-family: inherit;
		color: #222831;
		font-weight: 700;
		border-radius: 10px;
		outline: none;
		border: none;
		transition: all 1s ease;
		margin-top: 1.5rem;
		box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.5);
		cursor: pointer;
	}

	.header__btn:hover {
		background-color: #f05454;
		color: #fff;
	}
}

//** main section

.main {
	width: 100%;
	margin: 2rem 0;
	display: flex;
	flex-direction: column;

	.main__row {
		display: flex;
		justify-content: center;
		flex-wrap: wrap;

		img {
			margin: 1.5rem;
			box-shadow: 5px 10px 10px rgba(0, 0, 0, 0.5);
			cursor: pointer;
			transition: all 0.5s ease;
			border-radius: 5px;
		}

		img:hover {
			transform: scale(1.1);
		}
	}
}

//** main footer

.footer {
	.footer__up {
		background-color: #222831;
		color: #eee;
		margin: 2rem auto 0;
		text-align: center;
		line-height: 1.6;
		height: 80%;
		padding: 4rem;
		box-shadow: 0 10px 15px rgba(0, 0, 0, 0.4);

		span {
			color: #f05454;
			cursor: pointer;
		}
	}
	.footer__btn {
		height: 50px;
		width: 200px;
		color: #fff;
		background-color: #01c5c4;
		border: none;
		outline: none;
		border-radius: 5px;
		font-weight: 700;
		font-family: inherit;
		transition: all 1s ease;
		margin-top: 1.5rem;
		box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.5);
		cursor: pointer;
	}
	.footer__btn:hover {
		background-color: #f05454;
		color: #fff;
	}

	.footer__down {
		display: flex;
		justify-content: space-between;
		padding: 1rem 3rem;
		color: rgba(0, 0, 0, 0.5);

		.footer__icon i {
			margin: 0 0.2rem;
			font-size: 1.2rem;
		}

		.fa-twitter:hover {
			color: #01c5c4;
		}

		.fa-instagram:hover {
			color: #f05454;
		}

		.footer__copy span > span {
			color: red;
		}
	}
}
